s3games.robot

## Enum RobotCmd.Command

- java.lang.Object
- - java.lang.Enum<RobotCmd.Command>
  - - s3games.robot.RobotCmd.Command

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RobotCmd.Command>
  Enclosing class:
    RobotCmd

      public static enum RobotCmd.Command
      extends java.lang.Enum<RobotCmd.Command>

  list of available commands

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `grab`
    `home`
    `init`
    `position`
    `put`
    `query`
    `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RobotCmd.Command` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RobotCmd.Command[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### init

          public static final RobotCmd.Command init

    - #### version

          public static final RobotCmd.Command version

    - #### position

          public static final RobotCmd.Command position

    - #### home

          public static final RobotCmd.Command home

    - #### grab

          public static final RobotCmd.Command grab

    - #### put

          public static final RobotCmd.Command put

    - #### query

          public static final RobotCmd.Command query

  - ### Method Detail

    - #### values

          public static RobotCmd.Command[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RobotCmd.Command c : RobotCmd.Command.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RobotCmd.Command valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null